Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class Token

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.Token

Direct Known Subclasses:
  ArrayEnd, ArrayStart, DictionaryEnd, DictionaryStart, Numeric, Stream, StringValuedToken

    public abstract class Token

extends java.lang.Object

Abstract class to encapsulate lexical tokens from a PDF file. Tokens include numbers, strings, names, delimiters (the open and close markers for dictionaries and arrays), and streams. There are a variety of subclasses for specific kinds of tokens.

Constructor Summary
`Token()` Superclass constructor

Method Summary
`boolean` | `isPdfACompliant()` Returns `true` if this token is within PDF/A implementation limits.
`boolean` | `isSimpleToken()` Returns `true` if the token is one which the Parser treats as a unitary object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Token

    public Token()

  Superclass constructor

Method Detail

### isSimpleToken

    public boolean isSimpleToken()

  Returns `true` if the token is one which the Parser treats as a unitary object. Everything but arrays and dictionaries is considered a "simple" token for our purposes.

### isPdfACompliant

    public boolean isPdfACompliant()

  Returns `true` if this token is within PDF/A implementation limits. Always returns true unless overridden.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD